Subject: Re: [PATCH net-next] lib: Allow for the DIM library to be modular

From: Jakub Kicinski <[email-masked]>
Date: Fri, 3 May 2024 14:36:54 -0700

On Thu, 2 May 2024 20:19:27 -0700 Florian Fainelli wrote:
> Looking at "[PATCH net-next v11 0/4] ethtool: provide the dim profile 
> fine-tuning channel" it seems like Heng took care of making all of the 
> newly added functions EXPORT_SYMBOL(). The only thing I see missing is a 
> "select DIMLIB" from config ETHTOOL_NETLINK, do you see something else?

I think we refer to the default DIM tables from net/core/ to clone
them at init time. But we can move the init function into DIM itself.
That's probably for the better.